<?php
/**
 * Item View Template
 *
 * @package         Content Templater
 * @version         3.2.5
 *
 * @author          Peter van Westen <peter@nonumber.nl>
 * @link            http://www.nonumber.nl
 * @copyright       Copyright © 2012 NoNumber All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

defined('_JEXEC') or die;

// Import modal
JHtml::_('behavior.modal');
// Import html tooltips
JHtml::_('behavior.tooltip');

jimport('joomla.html.pane');
$pane = JPane::getInstance('sliders', array(
	'allowAllClose' => true,
	'startOffset' => 0,
	'startTransition' => true));

JPlugin::loadLanguage('com_content');
$user = JFactory::getUser();

$view_state = $this->detail->view_state;
if ($view_state == -1) {
	$view_state = $this->config->view_state;
}

require_once JPATH_PLUGINS . '/system/nnframework/helpers/versions.php';
$version = NoNumberVersions::getXMLVersion(null, null, null, 1);

$doc = JFactory::getDocument();
$doc->addScript(JURI::root(true) . '/plugins/system/nnframework/js/script.js' . $version);
$doc->addStyleDeclaration('.nn_multiselect { width:300px; }');

?>

<form action="<?php echo JRoute::_($this->request_url) ?>" method="post" name="adminForm" id="adminForm">
	<input type="hidden" name="cid[]" value="<?php echo $this->detail->id; ?>" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="controller" value="item" />

	<?php ob_start(); ?>
	<div style="display:none;">
		<?php echo str_replace('value="' . $view_state . '"', 'value="' . $view_state . '" checked="checked"', str_replace('checked="checked"', '', $this->detail->_xml->render('params', 'view_state'))); ?>
	</div>

	<div class="view_state_<?php echo $view_state; ?>" id="view_state_div">
		<div class="button1 button_view_state simple">
			<div><a onclick="NNFrameworkChangeView( 0 );" class="hasTip"
				title="<?php echo JText::_('NN_SIMPLE') . '::' . JText::_('CT_SIMPLE_DESC'); ?>"><?php echo JText::_('NN_SIMPLE'); ?></a>
			</div>
		</div>
		<div class="button1 button_view_state normal">
			<div><a onclick="NNFrameworkChangeView( 1 );" class="hasTip"
				title="<?php echo JText::_('NN_NORMAL') . '::' . JText::_('CT_NORMAL_DESC'); ?>"><?php echo JText::_('NN_NORMAL'); ?></a>
			</div>
		</div>
		<div class="button1 button_view_state advanced">
			<div><a onclick="NNFrameworkChangeView( 2 );" class="hasTip"
				title="<?php echo  JText::_('NN_ADVANCED') . '::' . JText::_('CT_ADVANCED_DESC'); ?>"><?php echo JText::_('NN_ADVANCED'); ?></a>
			</div>
		</div>
		<div class="clr"></div>
	</div>
	<?php
	$view_state_buttons = ob_get_contents();
	ob_end_clean();
	?>

	<?php echo str_replace('VIEW_STATE_PLACEHOLDER', $view_state_buttons, $this->detail->_xml->render('params', 'main_texts')); ?>

	<div class="clr"></div>

	<table width="100%">
		<tr>
			<td valign="top">
				<div class="col" style="width:100%;">
					<fieldset class="adminform">
						<legend><?php echo JText::_('Details'); ?></legend>
						<?php echo $this->detail->_xml->render('params', 'details'); ?>
					</fieldset>
				</div>

				<div class="clr"></div>

				<div style="width:100%;">
					<fieldset class="adminform">
						<legend><?php echo JText::_('NN_CONTENT'); ?></legend>
						<?php echo $this->detail->_xml->render('params', '-content'); ?>
					</fieldset>

					<fieldset class="adminform">
						<legend><?php echo JText::_('CT_DYNAMIC_TAGS'); ?></legend>
						<p><?php echo JText::_('CT_DYNAMIC_TAGS_DESC'); ?></p>

						<table class="adminlist" style="width:auto;">
							<thead>
								<tr>
									<th style="text-align:left"><label><?php echo JText::_('CT_SYNTAX'); ?></label>
									</th>
									<th style="text-align:left"><label><?php echo JText::_('Description'); ?></label>
									</th>
									<th style="text-align:left">
										<label><?php echo JText::_('CT_OUTPUT_EXAMPLE'); ?></label></th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td style="font-family:monospace">[[user:id]]</td>
									<td><?php echo JText::_('CT_DYNAMIC_TAG_USER_ID'); ?></td>
									<td><?php echo $user->id; ?></td>
								</tr>
								<tr>
									<td style="font-family:monospace">[[user:username]]</td>
									<td><?php echo JText::_('CT_DYNAMIC_TAG_USER_USERNAME'); ?></td>
									<td><?php echo $user->username; ?></td>
								</tr>
								<tr>
									<td style="font-family:monospace">[[user:name]]</td>
									<td><?php echo JText::_('CT_DYNAMIC_TAG_USER_NAME'); ?></td>
									<td><?php echo $user->name; ?></td>
								</tr>
								<tr>
									<td style="font-family:monospace">[[user:...]]</td>
									<td><?php echo JText::_('CT_DYNAMIC_TAG_USER_OTHER'); ?></td>
									<td>&nbsp;</td>
								</tr>
								<tr>
									<td style="font-family:monospace">[[date:...]]</td>
									<td><?php echo JText::sprintf('CT_DYNAMIC_TAG_DATE', '<a rel="{handler: \'iframe\', size:{x:window.getSize().size.x-100, y: window.getSize().size.y-100}}" href="http://www.php.net/manual/function.strftime.php" class="modal">', '</a>', '<span style="font-family:monospace">[[date: %A, %d %B %Y]]</span>'); ?></td>
									<td><?php echo JHtml::_('date', time(), '%A, %d %B %Y'); ?></td>
								</tr>
								<tr>
									<td style="font-family:monospace">[[random:...-...]]</td>
									<td><?php echo JText::_('CT_DYNAMIC_TAG_RANDOM'); ?></td>
									<td><?php echo rand(0, 100); ?></td>
								</tr>
							</tbody>
						</table>
					</fieldset>
				</div>

				<div class="clr"></div>
			</td>
			<td valign="top" width="1%">
				<div class="col">
					<div id="<?php echo rand(1000000, 9999999); ?>___view_state.1___view_state.2"
						class="nntoggler nntoggler_horizontal">
						<div id="<?php echo rand(1000000, 9999999); ?>___view_state.1___view_state.2"
							class="nntoggler nntoggler_nofx">
							<div style="width:550px;">
								<fieldset class="adminform">
									<legend><?php echo JText::_('NN_PUBLISHING_SETTINGS'); ?></legend>
									<div id="nn_param_preloader_container">
										<center><img
											src="<?php echo JURI::root(true); ?>/plugins/system/nnframework/images/loading.gif"
											align="middle" alt="" /></center>
									</div>
								</fieldset>

								<fieldset class="adminform">
									<legend><?php echo JText::_('CT_CONTENT_SETTINGS'); ?></legend>
									<?php echo $this->detail->_xml->render('params', 'override'); ?>
									<?php
									echo $pane->startPane("content-pane");

									$title = JText::_('CT_MAIN_SETTINGS');
									echo $pane->startPanel($title, "detail-page");
									echo $this->detail->_xml->render('params', '-settings');
									echo $pane->endPanel();

									echo '<div id="' . rand(1000000, 9999999) . '___view_state.2" class="nntoggler">';

									$title = JText::_('PARAMETERS - ARTICLE');
									echo $pane->startPanel($title, "detail-page");
									echo $this->detail->_xml->render('params', '-details');
									echo $pane->endPanel();

									$title = JText::_('PARAMETERS - ADVANCED');
									echo $pane->startPanel($title, "params-page");
									echo $this->detail->_xml->render('params', '-advanced');
									echo $pane->endPanel();

									$title = JText::_('METADATA INFORMATION');
									echo $pane->startPanel($title, "metadata-page");
									echo $this->detail->_xml->render('params', '-metadata');
									echo $pane->endPanel();

									$title = JText::_('CT_CUSTOM_FIELDS');
									echo $pane->startPanel($title, "customfields-page");
									echo $this->detail->_xml->render('params', '-customfields');
									echo $pane->endPanel();

									echo '</div>';

									echo $pane->endPane();
									?>
								</fieldset>
							</div>
						</div>
					</div>
				</div>
				<div class="clr"></div>
			</td>
		</tr>
	</table>

	<div class="clr"></div>

	<div id="nn_param_preloader" style="visibility: hidden;">
		<div class="col" style="width:100%">
			<?php
			$def_val = $this->config->show_ignores ? '2' : '-1';
			$def_text = $this->config->show_ignores ? JText::_('Show') : JText::_('Hide');

			echo $pane->startPane('contenttemplater_pane');
			echo '<fieldset class="adminform">';
			echo '<legend>' . JText::_('CT_EDITOR_BUTTON_LIST') . '</legend>';
			echo $this->detail->_xml->render('params', 'button');
			echo '</fieldset>';

			echo '<div id="' . rand(1000000, 9999999) . '___view_state.2" class="nntoggler">';

			echo '<fieldset class="adminform">';
			echo '<legend>' . JText::_('CT_LOAD_BY_DEFAULT') . '</legend>';
			echo $this->detail->_xml->render('params', 'load');
			echo '</fieldset>';

			echo '<fieldset class="adminform">';
			echo '<legend>' . JText::_('CT_LOAD_BY_URL') . '</legend>';
			echo $this->detail->_xml->render('params', 'url');
			echo '<div id="' . rand(1000000, 9999999) . '___url_enabled.1___url_use_assignments.1" class="nntoggler nntoggler_and">';
			echo $pane->startPanel(JText::_('NN_PUBLISHING_ASSIGNMENTS'), 'url-page');
			$html = $this->detail->_xml->render('params', 'url_assignments');
			echo preg_replace('#(<input [^>]*id="params[^"]*show_ignores2"[^>]*value=)"2"([^>]*/>.*?)(</label>)#si', '\1"' . $def_val . '"\2 (' . $def_text . ')\3', $html);
			echo $pane->endPanel();
			echo '</div>';
			echo '</fieldset>';

			echo '<div id="' . rand(1000000, 9999999) . '___view_state.2" class="nntoggler">';
			echo $pane->startPanel(JText::_('NN_PUBLISHING_ASSIGNMENTS'), 'assignments-page');
			echo $this->detail->_xml->render('params', 'assignments');
			echo $pane->endPanel();
			echo '</div>';

			echo '</div>';

			echo $pane->endPane();
			?>
		</div>
	</div>
</form>

<script language="javascript" type="text/javascript">
	function submitbutton(task)
	{
		var form = document.adminForm;
		if (task == 'cancel') {
			submitform(task);
			return;
		}

		// do field validation
		if (form['params[name]'].value.trim() == "") {
			alert("<?php echo JText::_('CT_THE_ITEM_MUST_HAVE_A_NAME', true); ?>");
		} else {
			submitform(task);
		}
	}
</script>