<?php
/**
 * Item View Template
 *
 * @package         ReReplacer
 * @version         4.2.1
 *
 * @author          Peter van Westen <peter@nonumber.nl>
 * @link            http://www.nonumber.nl
 * @copyright       Copyright © 2012 NoNumber All Rights Reserved
 * @license         http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

defined('_JEXEC') or die;

// Import modal
JHtml::_('behavior.modal');
// Import html tooltips
JHtml::_('behavior.tooltip');

jimport('joomla.html.pane');
$pane = JPane::getInstance('sliders', array(
	'allowAllClose' => true,
	'startOffset' => 0,
	'startTransition' => true));

JPlugin::loadLanguage('com_content');

$user = JFactory::getUser();
$db = JFactory::getDBO();
$query = "SELECT misc FROM #__" . $this->config->contact_table . "
	WHERE user_id = " . (int) $user->id . "
	LIMIT 1";
$db->setQuery($query);
$contact = $db->loadObject();

$view_state = $this->detail->view_state;
if ($view_state == -1) {
	$view_state = $this->config->view_state;
}

require_once JPATH_PLUGINS . '/system/nnframework/helpers/versions.php';
$version = NoNumberVersions::getXMLVersion(null, null, null, 1);

$doc = JFactory::getDocument();
$doc->addScript(JURI::root(true) . '/plugins/system/nnframework/js/script.js' . $version);
$doc->addStyleDeclaration('.nn_multiselect { width:300px; }');

?>

<form action="<?php echo JRoute::_($this->request_url) ?>" method="post" name="adminForm" id="adminForm">
	<input type="hidden" name="cid[]" value="<?php echo $this->detail->id; ?>" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="controller" value="item" />

	<?php ob_start(); ?>
	<div style="display:none;">
		<?php echo str_replace('value="' . $view_state . '"', 'value="' . $view_state . '" checked="checked"', str_replace('checked="checked"', '', $this->detail->_xml->render('params', 'view_state'))); ?>
	</div>

	<div class="view_state_<?php echo $view_state; ?>" id="view_state_div">
		<div class="button1 button_view_state simple">
			<div><a onclick="NNFrameworkChangeView( 0 );" class="hasTip"
				title="<?php echo JText::_('NN_SIMPLE') . '::' . JText::_('RR_SIMPLE_DESC'); ?>"><?php echo JText::_('NN_SIMPLE'); ?></a>
			</div>
		</div>
		<div class="button1 button_view_state normal">
			<div><a onclick="NNFrameworkChangeView( 1 );" class="hasTip"
				title="<?php echo JText::_('NN_NORMAL') . '::' . JText::_('RR_NORMAL_DESC'); ?>"><?php echo JText::_('NN_NORMAL'); ?></a>
			</div>
		</div>
		<div class="button1 button_view_state advanced">
			<div><a onclick="NNFrameworkChangeView( 2 );" class="hasTip"
				title="<?php echo JText::_('NN_ADVANCED') . '::' . JText::_('RR_ADVANCED_DESC'); ?>"><?php echo JText::_('NN_ADVANCED'); ?></a>
			</div>
		</div>
		<div class="clr"></div>
	</div>
	<?php
	$view_state_buttons = ob_get_contents();
	ob_end_clean();
	?>

	<?php echo str_replace('VIEW_STATE_PLACEHOLDER', $view_state_buttons, $this->detail->_xml->render('params', 'main_texts')); ?>

	<table width="100%">
		<tr>
			<td valign="top">
				<div class="col" style="width:100%;">
					<fieldset class="adminform">
						<legend><?php echo JText::_('DETAILS'); ?></legend>
						<?php echo $this->detail->_xml->render('params', 'details'); ?>
					</fieldset>
					<fieldset class="adminform">
						<legend><?php echo JText::_('RR_SEARCH_REPLACE'); ?></legend>
						<?php echo $this->detail->_xml->render('params', 'search'); ?>
					</fieldset>
					<fieldset class="adminform">
						<legend><?php echo JText::_('RR_DYNAMIC_TAGS'); ?></legend>
						<?php
						$_tick = '<img src="../plugins/system/nnframework/images/tick.png" border="0" alt="' . JText::_('YES') . '" title="' . JText::_('YES') . '" />';
						$_cross = '<img src="../plugins/system/nnframework/images/publish_x.png" border="0" alt="' . JText::_('NO') . '" title="' . JText::_('NO') . '" />';
						?>
						<p><?php echo JText::_('RR_DYNAMIC_TAGS_DESC'); ?></p>

						<table class="adminlist" style="width:auto;">
							<thead>
								<tr>
									<th><label><?php echo JText::_('RR_SYNTAX'); ?></label></th>
									<th style="text-align:left"><label><?php echo JText::_('Description'); ?></label>
									</th>
									<th style="text-align:left">
										<label><?php echo JText::_('RR_INPUT_EXAMPLE'); ?></label></th>
									<th style="text-align:left">
										<label><?php echo JText::_('RR_OUTPUT_EXAMPLE'); ?></label></th>
									<th><label class="hasTip"
										title="<?php echo JText::_('NN_NORMAL'); ?>::<?php echo JText::_('RR_USE_IN_NORMAL'); ?>"><?php echo JText::_('NN_NORMAL'); ?></label>
									</th>
									<th><label class="hasTip"
										title="<?php echo JText::_('RR_REGEX'); ?>::<?php echo JText::_('RR_USE_IN_REGEX'); ?>"><?php echo JText::_('RR_REGEX'); ?></label>
									</th>
									<th><label class="hasTip"
										title="<?php echo JText::_('RR_SEARCH'); ?>::<?php echo JText::_('RR_USE_IN_SEARCH'); ?>"><?php echo JText::_('RR_SEARCH'); ?></label>
									</th>
									<th><label class="hasTip"
										title="<?php echo JText::_('RR_REPLACE'); ?>::<?php echo JText::_('RR_USE_IN_REPLACE'); ?>"><?php echo JText::_('RR_REPLACE'); ?></label>
									</th>
								</tr>
							</thead>
							<tbody>
								<tr>
									<td style="font-family:monospace">[[comma]]</td>
									<td><?php echo JText::_('RR_USE_INSTEAD_OF_A_COMMA'); ?></td>
									<td style="font-family:monospace">[[comma]]</td>
									<td style="font-family:monospace">,</td>
									<td align="center"><?php echo $_tick; ?></td>
									<td align="center"><?php echo $_cross; ?></td>
									<td align="center"><?php echo $_tick; ?></td>
									<td align="center"><?php echo $_tick; ?></td>
								</tr>
								<tr>
									<td style="font-family:monospace">[[space]]</td>
									<td><?php echo JText::_('RR_USE_FOR_LEADING_OR_TRAILING_SPACES'); ?></td>
									<td style="font-family:monospace">[[space]]</td>
									<td></td>
									<td align="center"><?php echo $_tick; ?></td>
									<td align="center"><?php echo $_tick; ?></td>
									<td align="center"><?php echo $_tick; ?></td>
									<td align="center"><?php echo $_tick; ?></td>
								</tr>
								<tr>
									<td style="font-family:monospace">[[user:id]]</td>
									<td><?php echo JText::_('RR_DYNAMIC_TAG_USER_ID'); ?></td>
									<td style="font-family:monospace">[[user:id]]</td>
									<td><?php echo $user->id; ?></td>
									<td align="center"><?php echo $_tick; ?></td>
									<td align="center"><?php echo $_tick; ?></td>
									<td align="center"><?php echo $_cross; ?></td>
									<td align="center"><?php echo $_tick; ?></td>
								</tr>
								<tr>
									<td style="font-family:monospace">[[user:username]]</td>
									<td><?php echo JText::_('RR_DYNAMIC_TAG_USER_USERNAME'); ?></td>
									<td style="font-family:monospace">[[user:username]]</td>
									<td><?php echo $user->username; ?></td>
									<td align="center"><?php echo $_tick; ?></td>
									<td align="center"><?php echo $_tick; ?></td>
									<td align="center"><?php echo $_cross; ?></td>
									<td align="center"><?php echo $_tick; ?></td>
								</tr>
								<tr>
									<td style="font-family:monospace">[[user:name]]</td>
									<td><?php echo JText::_('RR_DYNAMIC_TAG_USER_NAME'); ?></td>
									<td style="font-family:monospace">[[user:name]]</td>
									<td><?php echo $user->name; ?></td>
									<td align="center"><?php echo $_tick; ?></td>
									<td align="center"><?php echo $_tick; ?></td>
									<td align="center"><?php echo $_cross; ?></td>
									<td align="center"><?php echo $_tick; ?></td>
								</tr>
								<tr>
									<td style="font-family:monospace">[[user:...]]</td>
									<td><?php echo JText::_('RR_DYNAMIC_TAG_USER_OTHER'); ?></td>
									<td style="font-family:monospace">[[user:misc]]</td>
									<td><?php echo isset($contact->misc) ? $contact->misc : ''; ?></td>
									<td align="center"><?php echo $_tick; ?></td>
									<td align="center"><?php echo $_tick; ?></td>
									<td align="center"><?php echo $_cross; ?></td>
									<td align="center"><?php echo $_tick; ?></td>
								</tr>
								<tr>
									<td style="font-family:monospace">[[date:...]]</td>
									<td><?php echo JText::sprintf('RR_DYNAMIC_TAG_DATE', '<a rel="{handler: \'iframe\', size:{x:window.getSize().size.x-100, y: window.getSize().size.y-100}}" href="http://www.php.net/manual/function.strftime.php" class="modal">', '</a>'); ?></td>
									<td nowrap="nowrap" style="font-family:monospace">[[date:%A, %d %B %Y]]</td>
									<td><?php echo JHtml::_('date', time(), '%A, %d %B %Y'); ?></td>
									<td align="center"><?php echo $_tick; ?></td>
									<td align="center"><?php echo $_tick; ?></td>
									<td align="center"><?php echo $_cross; ?></td>
									<td align="center"><?php echo $_tick; ?></td>
								</tr>
								<tr>
									<td style="font-family:monospace">[[random:...-...]]</td>
									<td><?php echo JText::_('RR_DYNAMIC_TAG_RANDOM'); ?></td>
									<td style="font-family:monospace">[[random:0-100]]</td>
									<td><?php echo rand(0, 100); ?></td>
									<td align="center"><?php echo $_tick; ?></td>
									<td align="center"><?php echo $_tick; ?></td>
									<td align="center"><?php echo $_cross; ?></td>
									<td align="center"><?php echo $_tick; ?></td>
								</tr>
								<tr>
									<td style="font-family:monospace">[[counter]]</td>
									<td><?php echo JText::_('RR_DYNAMIC_TAG_COUNTER'); ?></td>
									<td style="font-family:monospace">[[counter]]</td>
									<td>1</td>
									<td align="center"><?php echo $_tick; ?></td>
									<td align="center"><?php echo $_tick; ?></td>
									<td align="center"><?php echo $_cross; ?></td>
									<td align="center"><?php echo $_tick; ?></td>
								</tr>
								<tr>
									<td style="font-family:monospace">[[escape]]..[[/escape]]</td>
									<td><?php echo JText::_('RR_DYNAMIC_TAG_ESCAPE'); ?></td>
									<td style="font-family:monospace">[[escape]]\1[[/escape]]</td>
									<td>\"It\'s a string!\"</td>
									<td align="center"><?php echo $_cross; ?></td>
									<td align="center"><?php echo $_tick; ?></td>
									<td align="center"><?php echo $_cross; ?></td>
									<td align="center"><?php echo $_tick; ?></td>
								</tr>
							</tbody>
						</table>

						<p><?php echo JText::sprintf('RR_HELP_ON_REGULAR_EXPRESSIONS', '<a rel="{handler: \'iframe\', size: {x: 800, y: window.getSize().size.y-100}}" href="index.php?nn_qp=1&folder=administrator.components.com_rereplacer.images&file=image.inc.php" class="modal">', '</a>'); ?></p>

					</fieldset>
				</div>

				<div class="clr"></div>
			</td>
			<td valign="top" width="1%">
				<div class="col">
					<div id="<?php echo rand(1000000, 9999999); ?>___view_state.1___view_state.2"
						class="nntoggler nntoggler_horizontal">
						<div id="<?php echo rand(1000000, 9999999); ?>___view_state.1___view_state.2"
							class="nntoggler nntoggler_nofx">
							<div style="width:500px;">
								<?php
								echo $pane->startPane('rereplacer_pane');

								echo $pane->startPanel(JText::_('RR_SEARCH_OPTIONS'), 'search-page');
								echo $this->detail->_xml->render('params', 'options');
								echo $pane->endPanel();

								echo $pane->startPanel(JText::_('RR_SEARCH_AREAS'), 'areas-page');
								echo $this->detail->_xml->render('params', 'areas');
								echo $pane->endPanel();
								?>
								<div id="<?php echo rand(1000000, 9999999); ?>___view_state.2" class="nntoggler">
									<?php
									echo $pane->startPanel(JText::_('NN_PUBLISHING_ASSIGNMENTS'), 'assignments-page');
									echo $this->detail->_xml->render('params', 'assignments');
									echo $pane->endPanel();
									?>
								</div>
								<?php
								echo $pane->endPane();
								?>
							</div>
						</div>
					</div>
				</div>

				<div class="clr"></div>
			</td>
		</tr>
	</table>

	<div class="clr"></div>
</form>

<script language="javascript" type="text/javascript">
	function submitbutton(task)
	{
		if (task == 'cancel') {
			submitform(task);
			return;
		}

		// do field validation
		passCheck = checkFields();
		if (passCheck) {
			submitform(task);
		}
	}

	function checkFields()
	{
		var form = document.adminForm;
		msg = '';
		// do field validation
		if (form['params[name]'].value == '') {
			msg = '<?php echo JText::_('RR_THE_ITEM_MUST_HAVE_A_NAME', true); ?>';
		} else {
			if (form['params[view_state]'][2].checked && form['params[use_xml]'][1].checked) {
				if (form['params[xml]'].value == '') {
					msg = '<?php echo JText::_('RR_THE_ITEM_MUST_HAVE_AN_XML_FILE', true); ?>';
				}
			} else {
				if (form['params[search]'].value == '') {
					msg = '<?php echo JText::_('RR_THE_ITEM_MUST_HAVE_SOMETHING_TO_SEARCH_FOR', true); ?>';
				}
			}
		}
		if (msg != '') {
			alert(msg);
			return 0;
		} else {
			return checkFields_2();
		}
	}
	function checkFields_2()
	{
		var form = document.adminForm;
		msg = '';
		// do field validation
		if (!( form['params[view_state]'][2].checked && form['params[use_xml]'][1].checked ) && form['params[search]'].value.trim() != '' && form['params[search]'].value.trim().length < 3) {
			msg = '<?php echo sprintf(JText::_('RR_THE_SEARCH_STRING_SHOULD_BE_LONGER', true), 2); ?>';
		}
		if (msg != '') {
			alert(msg);
			return 0;
		} else {
			return 1;
		}
	}
	checkFields_2();
</script>