<?php
/**
 * Module Helper File
 *
 * @package     Cache Cleaner
 * @version     1.10.0
 *
 * @author      Peter van Westen <peter@nonumber.nl>
 * @link        http://www.nonumber.nl
 * @copyright   Copyright © 2011 NoNumber! All Rights Reserved
 * @license     http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

// No direct access
defined( '_JEXEC' ) or die();

class modCacheCleaner
{
	function render( $params )
	{
		JHTML::_( 'behavior.mootools' );

		require_once JPATH_PLUGINS.DS.'system'.DS.'nnframework'.DS.'helpers'.DS.'versions.php';
		$version = NoNumberVersions::getXMLVersion( 'cachecleaner', 'module', 1, 1 );

		$document =& JFactory::getDocument();
		$script = "
			var cachecleaner_root = '".JURI::base( true )."';
			var cachecleaner_msg_clean = '".str_replace( "'", "\'", JText::_( 'CC_CLEANING_CACHE' ) )."';
			var cachecleaner_msg_purge = '".str_replace( "'", "\'", JText::_( 'CC_PURGING_CACHE' ) )."';
			var cachecleaner_msg_checkin = '".str_replace( "'", "\'", JText::_( 'CC_CHECKING_IN' ) )."';
			var cachecleaner_msg_inactive = '".str_replace( "'", "\'", JText::_( 'CC_SYSTEM_PLUGIN_NOT_ENABLED' ) )."';
			var cachecleaner_msg_success = '".str_replace( "'", "\'", JText::_( 'CC_CACHE_CLEANED' ) )."';
			var cachecleaner_msg_failure = '".str_replace( "'", "\'", JText::_( 'CC_CACHE_COULD_NOT_BE_CLEANED' ) )."';";
		$document->addScriptDeclaration( $script );
		$document->addScript( JURI::base( true ).'/modules/mod_cachecleaner/cachecleaner/js/script.js'.$version );
		$document->addStyleSheet( JURI::base( true ).'/modules/mod_cachecleaner/cachecleaner/css/style.css'.$version );

		$text = JText::_( $params->get( 'icon_text', 'CC_CLEAN_CACHE' ) );
		$class = '';
		if ( $params->get( 'display_link', 'both' ) == 'text' ) {
			$class = 'no_icon';
		} else if ( $params->get( 'display_link', 'both' ) == 'icon' ) {
			$class = 'no_text';
		}
		$html = array();
		$html[] = '<span id="cachecleaner" class="'.$class.'">';

		$hastip = $params->get( 'display_tooltip', 1 );
		if ( $hastip ) {
			JHTML::_( 'behavior.tooltip' );
		}
		$html[] = modCacheCleaner::createLink( 'cleancache cachecleaner_link', JText::_( 'CC_CLEAN_CACHE' ), JText::_( 'CC_CLEAN_CACHE_DESC' ), $hastip, JText::_( 'CACHE_CLEANER' ) );

		$links = array();
		$links[] = modCacheCleaner::createLink( 'cleancache', JText::_( 'CC_CLEAN_CACHE' ), JText::_( 'CC_CLEAN_CACHE_DESC' ), $hastip );
		if ( $params->get( 'show_purge', 1 ) ) {
			$links[] = modCacheCleaner::createLink( 'purgecache', JText::_( 'CC_PURGE_CACHE' ), JText::_( 'CC_PURGE_CACHE_DESC' ), $hastip );
		}

		if ( $params->get( 'show_checkin', 1 ) ) {
			$user = & JFactory::getUser();
			if ( $user->authorize( 'com_checkin', 'manage' ) ) {
				$links[] = modCacheCleaner::createLink( 'checkin', JText::_( 'CC_CHECK_IN' ), JText::_( 'CC_CHECK_IN_DESC' ), $hastip );
			}
		}
		if ( count( $links ) > 1 ) {
			$html[] = '<div style="display: none;" class="cachecleaner_submenu"><ul><li>';
			$html[] = implode( '</li><li>', $links );
			$html[] = '</li></ul></div>';
		}
		$html[] = '</span>';

		echo implode( $html );
	}

	function createLink( $id, $name, $title, $tooltip = 1, $tooltip_name = '' )
	{
		if ( !$tooltip_name ) {
			$tooltip_name = $name;
		}
		return '<a href="javascript://" onclick="return false;" class="cachecleaner_'.$id.'"><span class="'.( $tooltip ? 'hasTip' : '' ).'" title="'.( $tooltip ? $tooltip_name.'::' : '' ).$title.'">'.$name.'</span></a>';
	}
}