/**
 * Main JavaScript file (MooTools 1.2 compatible)
 *
 * @package     Cache Cleaner
 * @version     1.10.0
 *
 * @author      Peter van Westen <peter@nonumber.nl>
 * @link        http://www.nonumber.nl
 * @copyright   Copyright © 2011 NoNumber! All Rights Reserved
 * @license     http://www.gnu.org/licenses/gpl-2.0.html GNU/GPL
 */

var cachecleaner_fx = false;
var cachecleaner_delay = false;

window.addEvent( 'domready', function()
{
	var cachecleaner_button = document.getElement( '#cachecleaner' );
	if ( cachecleaner_button ) {
		var cachecleaner_submenu = cachecleaner_button.getElement( 'div.cachecleaner_submenu' );
		if ( cachecleaner_submenu ) {
			cachecleaner_button.addEvent( 'mouseenter', function() {
				cachecleaner_submenu
					.setStyle( 'top', cachecleaner_button.getStyle( 'height' ).toInt()-2 )
					.setStyle( 'display', 'block' );
				var el_pos = cachecleaner_submenu.getPosition();
				var diff = ( el_pos.x + cachecleaner_submenu.getStyle( 'width' ).toInt() ) - window.getWidth();
				if ( diff > -10 ) {
					cachecleaner_submenu.setStyle( 'left', cachecleaner_submenu.getStyle( 'left' ).toInt()-diff-10 );
				}
			});
			cachecleaner_button.addEvent( 'mouseleave', function() {
				cachecleaner_submenu.setStyle( 'display', 'none' );
			});
		}
	}

	document.getElements( 'a.cachecleaner_cleancache' ).each( function( el ) {
		el.addEvent( 'click', function() {
			cachecleaner_load( 0 );
			return false;
		});
	});

	document.getElements( 'a.cachecleaner_purgecache' ).each( function( el ) {
		el.addEvent( 'click', function() {
			cachecleaner_load( 'purge' );
			return false;
		});
	});

	document.getElements( 'a.cachecleaner_checkin' ).each( function( el ) {
		el.addEvent( 'click', function() {
			cachecleaner_load( 'checkin' );
			return false;
		});
	});

	new Element( 'span', {
		'id': 'cachecleaner_msg',
		'styles': { 'opacity': 0 }
	} ).inject( document.body ).addEvent( 'click', function(){ cachecleaner_show_end() } );
	cachecleaner_fx = new Fx.Morph( document.getElement( '#cachecleaner_msg' ), { link: 'cancel' } );
	cachecleaner_delay = false;
} );

var cachecleaner_load = function( task )
{
	var params = 'cleancache=1&break=1';
	if ( task == 'purge' ) {
		params += '&purge=1'
	} else if ( task == 'checkin' ) {
		params += '&checkin=1'
	}

	cachecleaner_show_start( task );
	var myXHR = new Request( {
			method: 'get',
			url: cachecleaner_root+'/index.php',
			onSuccess: function( data ) {
				var classname = 'warning';
				if( data.length > 100 ) {
					classname = 'failure';
					document.getElement( '#cachecleaner_msg' ).set( 'html', cachecleaner_msg_inactive ).addClass( classname );
					cachecleaner_show_end( 4000 );
				} else {
					if ( data.charAt(0) == '+' ) {
						data = data.substring( 1, data.length );
						classname = 'success';
					}
					document.getElement( '#cachecleaner_msg' ).set( 'html', data ).addClass( classname );
					cachecleaner_show_end( 2000 );
				}
			},
			onFailure: function() {
				document.getElement( '#cachecleaner_msg' ).set( 'html', cachecleaner_msg_failure ).addClass( 'failure' );
				cachecleaner_show_end( 2000 );
			}
		} );
	myXHR.send( params );
};

var cachecleaner_show_start = function( task )
{
	var msg = cachecleaner_msg_clean;
	if ( task == 'purge' ) {
		msg = cachecleaner_msg_purge
	} else if ( task == 'checkin' ) {
		msg = cachecleaner_msg_checkin
	}

	document.getElement( '#cachecleaner_msg' )
		.set('html', '<img src="'+cachecleaner_root+'/modules/mod_cachecleaner/cachecleaner/images/loading.gif" alt=\"\" /> '+msg )
		.removeClass( 'success' ).removeClass( 'failure' )
		.addClass( 'visible' );

	clearInterval( cachecleaner_delay );
	cachecleaner_fx.cancel();
	cachecleaner_fx.start({
		'opacity': 0.8,
		'duration': 400
	});
};

var cachecleaner_show_end = function( delay )
{
	if ( delay ) {
		cachecleaner_delay = ( function(){ cachecleaner_show_end(); } ).delay( delay );
	} else {
		clearInterval( cachecleaner_delay );
		cachecleaner_fx.cancel();
		cachecleaner_fx.start({
			'opacity': 0,
			'duration': 1600
		});
	}
};